Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.subsumption
Class ChangedClassesTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.subsumption.ChangedClassesTableModel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, TableModel

    public class ChangedClassesTableModel

extends AbstractTableModel
implements edu.stanford.smi.protege.util.Disposable

A TableModel containing all classes that are either inconsistent or where the asserted subclasses differ from the computed subclasses.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`static int` | `COL_CLS`
`static int` | `COL_COUNT`
`static int` | `COL_TEXT`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ChangedClassesTableModel(OWLModel owlModel)`

Method Summary
`boolean` | `contains(edu.stanford.smi.protege.model.Cls cls)`
`void` | `dispose()`
`String` | `getChangeText(edu.stanford.smi.protege.model.Cls cls)`
`edu.stanford.smi.protege.model.Cls` | `getCls(int row)`
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`int` | `getRowCount()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`void` | `refill()`
`void` | `refill(boolean refillByCls)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COL_CLS

    public static final int COL_CLS

See Also:
  Constant Field Values

### COL_TEXT

    public static final int COL_TEXT

See Also:
  Constant Field Values

### COL_COUNT

    public static final int COL_COUNT

See Also:
  Constant Field Values

Constructor Detail

### ChangedClassesTableModel

    public ChangedClassesTableModel(OWLModel owlModel)

Method Detail

### contains

    public boolean contains(edu.stanford.smi.protege.model.Cls cls)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getChangeText

    public String getChangeText(edu.stanford.smi.protege.model.Cls cls)

### getCls

    public edu.stanford.smi.protege.model.Cls getCls(int row)

### getColumnClass

    public Class getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

  Specified by:
    `getValueAt` in interface `TableModel`

### refill

    public void refill()

### refill

    public void refill(boolean refillByCls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.